# Clone Dataset As Draft Create a new draft dataset based on existing one. This is useful when you would like to use the same dataset again for another training, but with some modification (create a variation). Inheritance: The cloned dataset inherits the training_version (and visual_schema if applicable) from the source dataset. Endpoint: POST /tailored-gen/datasets/{dataset_id}/clone ## Path parameters: - `dataset_id` (integer, required) Dataset ID ## Header parameters: - `api_token` (string, required) ## Request fields (application/json): - `name` (string) New dataset name. Defaults to "Copy of [original name]" - `description` (string) New dataset description. Defaults to original description ## Response 201 fields (application/json): - `id` (integer) Unique identifier for the dataset - `project_id` (integer) Associated project ID - `name` (string) Dataset name - `training_version` (string) The foundation model version this dataset targets (e.g., 'fibo', 'max'). Enum: "max", "light", "3.2", "2.3", "fibo" - `caption_prefix` (string,null) Text prepended to captions. * For training_version = max/light/3.2/2.3: Required string. * For training_version = fibo: Null. - `status` (string) Status of the dataset Enum: "draft" - `captions_update_status` (string) Status of captions update process Enum: "empty", "in_progress", "completed" - `upload_type` (string) The method used to upload images to the dataset. 'basic' is the default. Enum: "basic", "advanced" - `captions_source` (string) The source of the captions. For 'basic' datasets, this is a null. For 'advanced' datasets, this indicates if captions were generated 'automatic' or provided 'manual'. Enum: "automatic", "manual" - `images_count` (integer) Number of images in the dataset - `images` (array) Array of images in the dataset (up to 200) - `images.id` (integer) Unique identifier for the image - `images.dataset_id` (integer) ID of the dataset this image belongs to - `images.caption` (string) Once an image is uploaded, a caption is generated automatically. The caption is a natural continuation of the caption_prefix. - `images.caption_source` (string) Source of the caption Enum: "automatic" - `images.image_name` (string) Name of the image - `images.image_url` (string) URL of the original image file - `images.thumbnail_url` (string) URL of the image thumbnail - `images.created_at` (string) Timestamp when the image was created - `images.updated_at` (string) Timestamp when the image was last updated - `created_at` (string) Timestamp when the dataset was created - `updated_at` (string) Timestamp when the dataset was last updated ## Response 401 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields